io.vertx.ext.web.handler

## Interface LoggerHandler

- All Superinterfaces:
    Handler<RoutingContext>

      public interface LoggerHandler
      extends Handler<RoutingContext>

  A handler which logs request information to the Vert.x logger.
  Author:
    Tim Fox, Paulo Lopes

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `LoggerHandler.Format` The possible out of the box formats.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LoggerHandler.Format` | `DEFAULT_FORMAT`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoggerHandler` | `create()` Create a handler with default format
    `static LoggerHandler` | `create(boolean immediate, LoggerHandler.Format format)` Create a handler with he specified format
    `static LoggerHandler` | `create(LoggerHandler.Format format)` Create a handler with he specified format

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Field Detail

    - #### DEFAULT_FORMAT

          static final LoggerHandler.Format DEFAULT_FORMAT

  - ### Method Detail

    - #### create

          static LoggerHandler create()

      Create a handler with default format
      Returns:
        the handler

    - #### create

          static LoggerHandler create(LoggerHandler.Format format)

      Create a handler with he specified format
      Parameters:
        `format` - the format
      Returns:
        the handler

    - #### create

          static LoggerHandler create(boolean immediate,
                                      LoggerHandler.Format format)

      Create a handler with he specified format
      Parameters:
        `immediate` - true if logging should occur as soon as request arrives
        `format` - the format
      Returns:
        the handler

Copyright © 2015. All Rights Reserved.